Package: org.gmetrics.metricset

## [Groovy] Class ListMetricSet

- org.gmetrics.metricset.ListMetricSet

- All Implemented Interfaces and Traits:
    MetricSet

      class ListMetricSet

  A `MetricSet` implementation that returns a static List of Metrics passed into its constructor.

  Authors:
    Chris Mair
  Version:
    \$Revision: 107 \$ - \$Date: 2010-06-05 07:23:27 -0400 (Sat, 05 Jun 2010) \$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListMetricSet (List metrics)` Construct a new instance from the specified List of metrics.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getMetrics()` @return a List of Metric objects

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListMetricSet(List metrics)

      Construct a new instance from the specified List of metrics.

      Parameters:
        `metrics` - - the List of List of `Metric` objects; must not be null, but may be empty.

  - ### Method Detail

    - #### List getMetrics()

      Returns:
        a List of Metric objects